<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-shop-heading">Create or edit a Shop</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorId">Vendor Id</label>
                    <input type="text" class="form-control" name="vendorId" id="field_vendorId"
                           formControlName="vendorId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_openTime">Open Time</label>
                    <div class="input-group">
                        <input id="field_openTime" type="text" class="form-control" name="openTime" ngbDatepicker #openTimeDp="ngbDatepicker" formControlName="openTime"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="openTimeDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_closeTime">Close Time</label>
                    <div class="input-group">
                        <input id="field_closeTime" type="text" class="form-control" name="closeTime" ngbDatepicker #closeTimeDp="ngbDatepicker" formControlName="closeTime"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="closeTimeDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_mobile">Mobile</label>
                    <input type="text" class="form-control" name="mobile" id="field_mobile"
                           formControlName="mobile"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_address">Address</label>
                    <input type="text" class="form-control" name="address" id="field_address"
                           formControlName="address"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_subDistrict">Sub District</label>
                    <input type="text" class="form-control" name="subDistrict" id="field_subDistrict"
                           formControlName="subDistrict"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_district">District</label>
                    <input type="text" class="form-control" name="district" id="field_district"
                           formControlName="district"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_province">Province</label>
                    <input type="text" class="form-control" name="province" id="field_province"
                           formControlName="province"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_country">Country</label>
                    <input type="text" class="form-control" name="country" id="field_country"
                           formControlName="country"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_postCode">Post Code</label>
                    <input type="text" class="form-control" name="postCode" id="field_postCode"
                           formControlName="postCode"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_latitude">Latitude</label>
                    <input type="number" class="form-control" name="latitude" id="field_latitude"
                           formControlName="latitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_longitude">Longitude</label>
                    <input type="number" class="form-control" name="longitude" id="field_longitude"
                           formControlName="longitude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_billInfo">Bill Info</label>
                    <select class="form-control" id="field_billInfo" name="billInfo" formControlName="billInfo">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shopBillInfoOption.id === editForm.get('billInfo')!.value?.id ? editForm.get('billInfo')!.value : shopBillInfoOption" *ngFor="let shopBillInfoOption of billinfos; trackBy: trackById">{{ shopBillInfoOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
